package response

import (
	"git.sxidc.com/go-tools/api_binding/mqtt_binding/mqtt_client"
	"git.sxidc.com/go-tools/api_binding/mqtt_binding/mqtt_client/router"
)

type Identifier interface {
	Identifier() string
	Copy() Identifier
}

type SendFunc[T any] func(c *mqtt_client.MqttClient, item *router.Item, identifier Identifier, data T, err error)

type IDType interface {
	~string | ~uint64
}
